<?php
require 'app/libraries/cnpj-gratis/vendor/autoload.php';

use JansenFelipe\CnpjGratis\CnpjGratis;

if(isset($_POST['captcha']) && isset($_POST['cookie']) && isset($_POST['cnpj'])){
    $dados = CnpjGratis::consulta($_POST['cnpj'], $_POST['captcha'], $_POST['cookie']);

    if($dados!=""){
        $dados["cnpj"] = $_POST['cnpj'];
        $dados["cidade_cap"] = ucwords(strtolower($dados["cidade"]));
        $dados = json_encode($dados);
    }else{

        header("location: buscarCnpjform.php?err=1&cnpj=".$_POST['cnpj']);
        exit;
        
    }

}
?>
<script>

var dados = '<?php echo $dados; ?>';

if(dados!=""){
    parent.ResultadosReceita(dados);
    parent.jQuery.colorbox.close();   
}else{
    alert("Não foi possível carregar os dados, tente novamente");
    parent.jQuery.colorbox.close();  
}

</script>